/*
 Theme Name:   Pianeta Pesca
 Theme URI:    http://8theme.com/
 Description:  XStore Child Theme
 Author:       8theme
 Author URI:   http://8theme.com
 Template:     xstore
 Version:      1.0
 Text Domain:  xstore-child
*/


/**
 * CUSTOM STYLES {
 */

    /**
     * COLOR CORRECTIONS
     */

    footer.footer .menu-item div.subitem-title-holder:hover p {
        color: #3E81B5 !important;
    }

    body form.cart .add_to_cart_button,
    body.single-product.woocommerce table.vartable button.single_add_to_cart_button,
    body.single-product.woocommerce #wc-stripe-payment-request-button {
        -moz-box-shadow:    0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
        -webkit-box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
        box-shadow:         0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
        -webkit-transition: all .3s ease-in-out;
        -moz-transition:    all .3s ease-in-out;
        -o-transition:      all .3s ease-in-out;
        -ms-transition:     all .3s ease-in-out;
        transition:         all .3s ease-in-out;
    }

    body form.cart .add_to_cart_button:focus,
    body.single-product.woocommerce table.vartable button.single_add_to_cart_button:focus,
    body.single-product.woocommerce #wc-stripe-payment-request-button:focus {
        -moz-box-shadow:    none;
        -webkit-box-shadow: none;
        box-shadow:         none;
    }

    body.single-product.woocommerce #wc-stripe-payment-request-button {
        border-radius: 4px;
    }


    /**
     * HOME
     */

    @media screen and (min-width: 1080px) and (max-width: 1200px) {
        .sasp-boxes .banner-content {
            padding: 7.5px 10px !important;
        }

        .sasp-boxes .banner-content h2 {
            font-size: 28px !important;
            line-height: 28px !important;
        }
    }

    @media screen and (min-width: 768px) and (max-width: 1080px) {
        .sasp-boxes .banner-content h2 {
            font-size: 24px !important;
            line-height: 24px !important;
        }
    }

    @media screen and (min-width: 480px) and (max-width: 768px) {
        .sasp-boxes > .vc_column_container {
            display: inline-block !important;
            margin-bottom: 5px;
            width: 50% !important;
        }
        .sasp-boxes .vc_column_container h2 {
            font-size: 36px !important;
            line-height: 36px !important;
        }
    }

    @media screen and (max-width: 768px) {
        .sasp-boxes .banner {
            max-height: 150px !important;
        }
    }

    @media only screen and (min-width: 560px) and (max-width: 992px) {
        .sasp-home-prod-sm .product.type-product.col-md-12 {
            width: 50% !important;
        }
    }


    /**
     * MENU
     */

    .header-main-menu2 .menu-static-block.nav-sublist-dropdown {
        -moz-box-shadow:    0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
        -webkit-box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
        box-shadow:         0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
    }

    .header-main-menu2 .menu-item .wpb_column .wpb_wrapper .vc_row .wpb_column {
        position: relative;
    }

    .header-main-menu2 .menu-item .wpb_column .wpb_wrapper .vc_row .wpb_column .mpc-icon-list {
        background-color: #ffffff;
        left: 0;
        max-height: 0;
        opacity: 0.7;
        overflow: hidden;
        padding: 0 15px;
        position: absolute;
        text-align: left;
        top: 35px;
        width: 100%;
        z-index: 1000;
        -webkit-transition: all .4s ease-in-out;
        -moz-transition:    all .4s ease-in-out;
        -o-transition:      all .4s ease-in-out;
        -ms-transition:     all .4s ease-in-out;
        transition:         all .4s ease-in-out;
    }
    .header-main-menu2 .menu-item .wpb_column .wpb_wrapper .vc_row .wpb_column .mpc-icon-list .mpc-list__ul {
        max-height: 0;
        -webkit-transition: all .3s ease-in-out;
        -moz-transition:    all .3s ease-in-out;
        -o-transition:      all .3s ease-in-out;
        -ms-transition:     all .3s ease-in-out;
        transition:         all .3s ease-in-out;
    }

    .header-main-menu2 .menu-item .wpb_column .wpb_wrapper .vc_row .wpb_column .wpb_content_element {
        margin-bottom: 0 !important;
    }

    .header-main-menu2 .menu-item .wpb_column .wpb_wrapper .et-fancy-button a span {
        font-weight: 400 !important;
    }

    .header-main-menu2 .menu-item .wpb_column .wpb_wrapper .vc_row .wpb_column > .vc_column-inner > .wpb_wrapper > .wpb_text_column:hover .mpc-icon-list {
        border-bottom: 1px solid rgba(0,0,0,0.2);
        border-left: 1px solid rgba(0,0,0,0.07);
        border-right: 1px solid rgba(0,0,0,0.07);
        max-height: 500px;
        opacity: 1;
        padding: 15px;
    }
    .header-main-menu2 .menu-item .wpb_column .wpb_wrapper .vc_row .wpb_column > .vc_column-inner > .wpb_wrapper:hover .mpc-icon-list .mpc-list__ul {
        max-height: 500px;
    }

    .header-main-menu2 .menu-item .wpb_column .wpb_wrapper .vc_row .wpb_column > .vc_column-inner > .wpb_wrapper a:hover {
        color: #003a70 !important;
        -webkit-transition: all .2s ease-in-out;
        -moz-transition:    all .2s ease-in-out;
        -o-transition:      all .2s ease-in-out;
        -ms-transition:     all .2s ease-in-out;
        transition:         all .2s ease-in-out;
    }

    .header-main-menu2 .menu-item .wpb_column .wpb_wrapper .vc_row .wpb_column a {
        text-align: left;
    }

    .header-main-menu2 .menu-item .vc_row > .wpb_column > .vc_column-inner > .wpb_wrapper > .vc_row.vc_row-has-fill > .wpb_column > .vc_column-inner {
        padding-top: 0;
    }

    /**
     * Hides boxes and images. If the choice is confirmed should be done directly in blocks.
     */
    .header-main-menu2 li.menu-item > .menu-static-block {
        padding-top: 0 !important;
    }
    .header-main-menu2 li.menu-item > .menu-static-block > div.block-container > .vc_column-inner
    .header-main-menu2 li.menu-item > .menu-static-block > div.block-container > .vc_row.wpb_row {
        padding-top: 0;
    }
    .header-main-menu2 li.menu-item > .menu-static-block > div.block-container > .vc_row {
        padding-top: 10px;
    }
    .header-main-menu2 li.menu-item > .menu-static-block > div.block-container > .vc_row > .wpb_column > .vc_column-inner > .wpb_wrapper > .vc_row > .wpb_column > .vc_column-inner {
        padding-top: 0;
    }
    .header-main-menu2 li.menu-item > .menu-static-block > div.block-container > .vc_row.wpb_row a span {
        font-size: 18px;
    }
    .header-main-menu2 li.menu-item > .menu-static-block > div.block-container > .vc_row.wpb_row a span,
    .header-main-menu2 li.menu-item > .menu-static-block > div.block-container > .vc_row.wpb_row span a {
        font-weight: 300 !important;
        opacity: 0.9;
    }
    .header-main-menu2 .menu-item .vc_row > .wpb_column > .vc_column-inner > .wpb_wrapper > .vc_row.vc_row-has-fill {
        display: none;
    }
    .header-main-menu2 .menu-item .vc_row .wpb_single_image.wpb_content_element {
        display: none;
    }


    /**
     * PRODUCTS LIST
     */

    .products.products-loop.products-grid .products-page-brands {
        left: 0;
        position: absolute;
        top: 0;
        width: 100%;
    }

    .products.products-loop.products-grid .product-title {
        margin-top: 45px;
    }

    .products.products-loop.products-grid .product-details .button:not(.compare) {
        margin-left: -15px;
        margin-right: -15px;
        width: calc( 100% + 30px );
    }

    .products.products-loop.products-grid .product-view-default .footer-product .show-quickly {
        border: 1px solid var(--et_btn-bg-color);
        color: var(--et_btn-bg-color);
    }
    .products.products-loop.products-grid .product-view-default .footer-product .show-quickly:hover {
        background-color: var(--et_btn-bg-color);
        color: #fefefe !important;
    }

    .products.products-loop.products-grid .product-view-default .footer-product {
        overflow: visible;
    }

    .products.products-loop.products-grid .product-view-default .footer-product .show-quickly {
        top: 20px;
    }

    .content-product .available-on-backorder, .content-product .stock {
        padding: 3px;
        top: 10px;
        left: 30px;
    }

    @media screen and (max-width: 620px) {
        .products.products-loop.products-grid .product-view-default .footer-product .show-quickly {
            top: 0;
        }
    }


    /**
     * PRODUCT CONTACT INFO
     */

    @media screen and (min-width: 992px) and (max-width: 1200px) {
        .sasp-product-contacts .ibox-block .ibox-content {
            display: block !important;
        }
    }


    /**
     * PRODUCT SIDEBAR
     */

    body.single-product.woocommerce .col-md-3.sidebar-enabled.sidebar.single-product-sidebar.sidebar-right {
        position: relative;
        right: 0;
        top: 0;
        -webkit-transition: all .3s ease-in-out;
        -moz-transition:    all .3s ease-in-out;
        -o-transition:      all .3s ease-in-out;
        -ms-transition:     all .3s ease-in-out;
        transition:         all .3s ease-in-out;
    }

    body.single-product.woocommerce .col-md-3.sidebar-enabled.sidebar.single-product-sidebar.sidebar-right .ibox-block,
    body.single-product.woocommerce .col-md-3.sidebar-enabled.sidebar.single-product-sidebar.sidebar-right .ibox-block .ibox-content {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition:    all .3s ease-in-out;
        -o-transition:      all .3s ease-in-out;
        -ms-transition:     all .3s ease-in-out;
        transition:         all .3s ease-in-out;
    }

    body.single-product.woocommerce .sidebar-enabled.sidebar.single-product-sidebar.sidebar-right > .sidebar-widget > .vc_row .wpb_wrapper .banner .banner-content {
        height: 100%;
        -moz-box-shadow:    inset 0px 40px 60px 20px rgba(0,0,0,0.3);
        -webkit-box-shadow: inset 0px 40px 60px 20px rgba(0,0,0,0.3);
        box-shadow:         inset 0px 40px 60px 20px rgba(0,0,0,0.3);
    }

    @media screen and (min-width: 992px) and (max-width: 1200px) {
        body.single-product.woocommerce .col-md-3.sidebar-enabled.sidebar.single-product-sidebar.sidebar-right.sticky-sidebar.is_stuck {
            right: -10px;
        }
    }

    @media screen and (min-width: 992px) and (max-width: 1100px) {
        body.single-product.woocommerce .col-md-3.sidebar-enabled.sidebar.single-product-sidebar.sidebar-right.sticky-sidebar.is_stuck {
            max-width: 200px;
            top: 100px !important;
        }
        body.single-product.woocommerce .col-md-3.sidebar-enabled.sidebar.single-product-sidebar.sidebar-right.sticky-sidebar.is_stuck .ibox-block .ibox-content {
            display: block;
        }
    }

    @media screen and (min-width: 768px) and (max-width: 992px) {
        body.single-product.woocommerce .sidebar-enabled.sidebar.single-product-sidebar.sidebar-right > .sidebar-widget > .vc_row {
            display: inline-block;
            max-width: 50%;
            vertical-align: top;
            width: 50%;
        }

        body.single-product.woocommerce .sidebar-enabled.sidebar.single-product-sidebar.sidebar-right > .sidebar-widget > .vc_row .wpb_wrapper .banner {
            max-height: 288px;
        }
    }


/**
 * }
 */
 